Initiate customer KYC
Generate a KYC verification link for identity verification.
Generates a KYC flow link for a customer. The link is stable and can be reused to resume verification until the customer is approved.
Authorization
bearerAuth Organization API key obtained on Settings > API Keys page in Compose UI.
In: header
Path Parameters
Unique identifier of the customer
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST 'https://compose.finance/api/v2/customers/{customerId}/kyc' \ -H 'Authorization: Bearer YOUR_API_KEY'{
"kycVerified": false,
"kycFlowLink": "https://www.auth.compose.finance/en/signup?c={customerId}"
}{
"error": "KYC link generation is not available for corporate customers. You will receive an email from [email protected] to complete corporate customer onboarding."
}{
"error": "Unauthorized - Invalid or missing API key or session"
}{
"error": "Customers feature is not enabled for your organization"
}{
"error": "Customer not found"
}{
"error": "Internal server error"
}Get customer verified address GET
Returns the address on file for a customer. For individual customers, this is extracted from KYC verification data (proof of address). For corporate customers, this is the stored business address. This address is automatically used when creating a first-party withdrawal bank without providing an address.
Submit customer KYC POST
Manually submit a customer's KYC documents for review. This endpoint is typically not needed as verification is automatically triggered when all required steps are completed via the KYC flow link or API document uploads. Use this endpoint only if auto-submission fails. Cannot be called if review is already in progress or completed. Maximum 4 attempts allowed.

